@charset "utf-8";
/* DETAIL */
.talentDetailBlock{
    position: relative;
    width: 100%;
    min-height: max(100vh, calc(768 / var(--vw-min) * 100vw));
    background-color: #eef8ff;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 0;
    overflow: hidden;
}
@media screen and (max-width:768px){
    .talentDetailBlock{
        padding: 0 0 calc(130 / var(--vw-min) * 100vw);
        flex-direction:column-reverse
    }
}
/* bg */
.talentDetail__bgChara{
    position: absolute;
    right: 0;
    top: 0;
    left: 0;
    margin: auto;
    pointer-events: none;
    z-index: 1;
    width: 100%;
    max-width:calc(1366 / var(--vw-min) * 100vw);
    overflow: hidden;
    height: 100%;
    opacity: 0;
    transition: all 0.4s ease;
}
.js-scrani.--is-ani .talentDetail__bgChara{
    opacity: 1;
}
.talentDetail__bgChara span{
    transition: all 0s ease;
    width: 100%;
    display: block;
    max-width:calc(1366 / var(--vw-min) * 100vw);
    height: 100%;
    background: url(../img/top/talent/talent1_bg.png) no-repeat top right / auto 100%;
}
.talentDetail__bgChara::before{
    transition: all 0s linear;
    width: 100%;
    height: 100%;
    display: block;
    max-width:calc(1366 / var(--vw-min) * 100vw);
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    margin: auto;
    background-color: #eef8ff;
    opacity: 0.7;
    -webkit-mask: url(../img/top/talent/talent1_bg.png) no-repeat top right / auto 100%;
    mask: url(../img/top/talent/talent1_bg.png) no-repeat top right / auto 100%;
}
@media screen and (max-width:1466px){
    .talentDetail__bgChara span{
        min-width: 1000px;
        background: url(../img/top/talent/talent1_bg.png) no-repeat top right calc(-200 / var(--vw-min) * 100vw) / auto 100%;
    }
    .talentDetail__bgChara::before{
        min-width: 1000px;
        -webkit-mask: url(../img/top/talent/talent1_bg.png) no-repeat top right calc(-200 / var(--vw-min) * 100vw) / auto 100%;
        mask: url(../img/top/talent/talent1_bg.png) no-repeat top right calc(-200 / var(--vw-min) * 100vw) / auto 100%;
    }
}
@media screen and (max-width:768px){
    .talentDetail__bgChara span{
        min-width: unset;
        background:url(../img/top/talent/talent1_main.png) no-repeat top 70% right 90% / auto 110%;
    }
    .talentDetail__bgChara::before{
        min-width: unset;
        -webkit-mask: url(../img/top/talent/talent1_main.png) no-repeat top 70% right 90% / auto 110%;
        mask: url(../img/top/talent/talent1_main.png) no-repeat top 70% right 90% / auto 110%;
    }
}

.talentDetail__inner{
    position: relative;
    width: min(calc(1000 / var(--vw-min) * 100vw), 1000px);
    margin: auto;
    z-index: 2;
    display: flex;
    align-items: flex-start;
    padding-left: min(calc(100 / var(--vw-min) * 100vw), 100px);
    min-height: min(calc(768 / var(--vw-min) * 100vw), 768px);
    opacity: 0;
    transform: scale(0.5);
    transition: opacity 0.6s,
                transform 0.6s cubic-bezier(0.34, 1.56, 0.64, 1);
                transition-delay: 0.4s;
}
.js-scrani.--is-ani .talentDetail__inner{
    opacity: 1;
    transform: scale(1);
}
@media screen and (max-width:768px){
    .talentDetail__inner{
        width: 100%;
        padding-left:0;
        padding-top: 0;
        flex-direction: column-reverse;
    }
}

/* flowingTxt */
.talentDetail__flowingTxt{
	position: absolute;
	width: 100%;
	height: min(calc(180 / var(--vw-min) * 100vw),180px);
	overflow: hidden;
    top: 0;
	left: 0;
    margin: auto;
}
.talentDetail__flowingTxt::after{
	display: block;
	content: "";
	width: 100%;
    height: 100%;
	-webkit-mask: url(../img/top/talent/talent_flowing_txt.png) repeat-x;
	mask: url(../img/top/talent/talent_flowing_txt.png) repeat-x; 
	mask-size: min(calc(1446 / var(--vw-min) * 100vw),1446px) auto;
	background-color: #c2edff;
    animation: t_flowingTxt 12s linear infinite reverse;
}
@keyframes t_flowingTxt {
    from {
        mask-position: 0 0;
    }
    to {
        mask-position: min(calc(1446/ var(--vw-min) * 100vw),1446px) 0;
    }
}
@media screen and (max-width:768px){
    .talentDetail__flowingTxt{
        height: calc(180 / var(--vw-min) * 100vw);
    }
    .talentDetail__flowingTxt::after{
        mask-size: calc(1446 / var(--vw-min) * 100vw) auto;
    }
    @keyframes t_flowingTxt {
        from {
            mask-position: 0 0;
        }
        to {
            mask-position: calc(1446/ var(--vw-min) * 100vw) 0;
        }
    }
}

/* THUM LIST */
.imgThumLists{
    display: flex;
    position: absolute;
    left: 0;
    top: min(calc(130 / var(--vw-min) * 100vw), 130px);
    flex-direction: column;
    gap: min(calc(10 / var(--vw-min) * 100vw), 10px);
    z-index: 2;
}
@media screen and (max-width:768px){
    .imgThumLists{
        left: calc(40 / var(--vw-min) * 100vw);
        top: calc(130 / var(--vw-min) * 100vw);
    }
}
.imgThumItem{
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    cursor: pointer;
}
.imgThumItem__img{
    display: block;
    width: min(calc(60 / var(--vw-min) * 100vw), 60px);
    height: min(calc(60 / var(--vw-min) * 100vw), 60px);
    border-radius: 50%;
    overflow: hidden;
    background-color: #d0e9f6;
    position: relative;
    border: 1px solid #FFF;
    transition: all 0.3s ease;
}
.imgThumItem::before{
    content: "";
    position: absolute;
    inset: 0;
    margin: auto;
    width: min(calc(61 / var(--vw-min) * 100vw), 61px);
    height: min(calc(61 / var(--vw-min) * 100vw), 61px);
    mask: url(../img/top/talent/talent_thum_frame.png) no-repeat center center / contain;
    -webkit-mask: url(../img/top/talent/talent_thum_frame.png) no-repeat center center / contain;
    background-color: #FFF;
    pointer-events: none;
    z-index: 1;
    transition: all 0.3s ease;
}
@media screen and (max-width:768px){
    .imgThumItem__img{
        width: calc(90 / var(--vw-min) * 100vw);
        height: calc(90 / var(--vw-min) * 100vw);
    }
    .imgThumItem::before{
        width: calc(91 / var(--vw-min) * 100vw);
        height: calc(91 / var(--vw-min) * 100vw);
    }
}
.imgThumItem.is-active .imgThumItem__img{
    border: 1px solid #ff73b2;
}
.imgThumItem.is-active::before{
    background-color: #ff73b2;
}
.imgThumItem__img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.talentDetail__profileBox{
    width: min(calc(425 / var(--vw-min) * 100vw), 425px);
    padding-top: min(calc(130 / var(--vw-min) * 100vw), 130px);
}
@media screen and (max-width:768px){
    .talentDetail__profileBox{
        width: 100%;
    }
}
.profileBox__name{
    margin-bottom: min(calc(40 / var(--vw-min) * 100vw), 40px);
}
@media screen and (max-width:768px){
    .profileBox__name{
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: calc(40 / var(--vw-min) * 100vw);
    }
    .profileBox__name img{
        width: 100%;
        max-width: calc(532 / var(--vw-min) * 100vw);
        height: auto;
    }
}
/* SNS LIST */
.profileBox__snsLists{
    margin-top: min(calc(80 / var(--vw-min) * 100vw), 80px);
    display: flex;
    gap: min(calc(20 / var(--vw-min) * 100vw), 20px);
}
@media screen and (max-width:768px){
    .profileBox__snsLists{
        padding: 0 calc(40 / var(--vw-min) * 100vw) ;
        margin-top: calc(80 / var(--vw-min) * 100vw);
        gap: calc(30 / var(--vw-min) * 100vw);
    }
}
    
.snsListItem{
    filter: drop-shadow(0 0 10px #929699);
}
.snsListItem__link{
    position: relative;
    font-family: var(--font-en);
    background-color: var(--color-blue);
    color: #fff;
    padding: min(calc(10 / var(--vw-min) * 100vw), 10px) min(calc(20 / var(--vw-min) * 100vw), 20px);
    border-radius: min(calc(28 / var(--vw-min) * 100vw), 28px);
    font-size: min(calc(14 / var(--vw-min) * 100vw), 14px);
    font-weight: 700;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    line-height: 1;
    width: min(calc(220 / var(--vw-min) * 100vw), 220px);
    height: min(calc(56 / var(--vw-min) * 100vw), 56px);
}
.snsListItem__ic{
    position: absolute;
    left: min(calc(26 / var(--vw-min) * 100vw), 26px);
    top: 0;
    bottom: 0;
    margin: auto;
    display: block;
    width: min(calc(24 / var(--vw-min) * 100vw), 24px);
    height: min(calc(24 / var(--vw-min) * 100vw), 24px);
    background-color: #fff;
    pointer-events: none;
    z-index: 1;
}
@media screen and (max-width:768px){
    .snsListItem{
        width: calc((100% - (30 / var(--vw-min) * 100vw)) / 2);
    }
    .snsListItem__link{
        width: 100%;
        height: calc(98 / var(--vw-min) * 100vw);
        font-size: calc(28 / var(--vw-min) * 100vw);
        border-radius: calc(48 / var(--vw-min) * 100vw);
    }
    .snsListItem__ic{
        width: calc(36 / var(--vw-min) * 100vw);
        height: calc(36 / var(--vw-min) * 100vw);
    }
}


.snsListItem__ic.is-yt{
    mask: url(../img/common/sns/icon_yt.svg) no-repeat center center / contain;
    -webkit-mask: url(../img/common/sns/icon_yt.svg) no-repeat center center / contain;
}
.snsListItem__ic.is-x{
    mask: url(../img/common/sns/icon_x.svg) no-repeat center center / contain;
    -webkit-mask: url(../img/common/sns/icon_x.svg) no-repeat center center / contain;
}



.profileBox__txt{
    font-size: min(calc(14 / var(--vw-min) * 100vw), 14px);
    line-height: 2;
    color: var(--color-blue);
}
@media screen and (max-width:768px){
    .profileBox__txt{
        padding: 0 calc(40 / var(--vw-min) * 100vw) ;
        font-size: calc(28 / var(--vw-min) * 100vw);
    }
}

.talentDetail__imgBox{
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    width: min(calc(500 / var(--vw-min) * 100vw), 500px);
    overflow: hidden;
}
.talentDetail__imgBox .swiper-slide{
    display: flex;
    align-items: center;
    justify-content: center;
}
.talentDetail__imgBox img{
    width: 100%;
    height: auto;
}
.imgBox__item img{
    opacity: 0;
    transform: translateX(-50px);
    transition: all 0.4s ease;
    transition-delay: 0.4s;
}
.talentDetail__imgBox--single .imgBox__item  img,
.imgBox__item.swiper-slide-active  img{
    opacity: 1;
    transform: translateX(0);
}
@media screen and (max-width:768px){
    .talentDetail__imgBox{
        width: 100%;
        position: relative;
        margin-top: unset;
        padding-left: calc(80 / var(--vw-min) * 100vw);
    }
}
/* closeBtn */
.talentDetail__closeBtn{
    position: absolute;
    width: min(calc(95 / var(--vw-min) * 100vw), 95px);
    height: min(calc(53 / var(--vw-min) * 100vw), 53px);
    right: min(calc(24 / var(--vw-min) * 100vw), 24px);
    top: min(calc(24 / var(--vw-min) * 100vw), 24px);
    z-index: 3;
}

.closeBtn{
    display: block;
    position: relative;
    width: 100%;
    height: 100%;
    transition: all 0.3s ease;
}
.closeBtn__line{
    display: block;
    width: 100%;
    height: 2px;
    background-color: var(--color-blue);
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    transition: all 0.3s ease;
}
.closeBtn__line:nth-child(1){
    transform: rotate(35deg);
}
.closeBtn__line:nth-child(2){
    transform: rotate(-35deg);
}
@media (hover: hover) and (pointer: fine) {
    .closeBtn:hover {
        transform: rotate(180deg);
    }
}